## worklog 1.4

=== Makefile ===
CFLAGS=-Wall -O2 -I/usr/include/ncurses
LIBS=-lncurses
BIN=/usr/local/bin
MAN=/usr/local/man

# uncomment this to allow use of an environment variable to specify the
# default working directory where default log and project files are located
# and they can be #defined as relative paths in worklog.c
# DEFAULT_DIR_ENVVAR=HOME
DEFAULT_DIR_ENVVAR=WORKLOGDIR
USE_ENV_DIR=-DDEFAULT_DIR_ENVVAR=\"$(DEFAULT_DIR_ENVVAR)\"


all:	worklog Makefile

install:	all
	cp worklog $(BIN)/worklog
	chmod a+rx $(BIN)/worklog
	cp worklog.1 $(MAN)/man1/worklog.1
	chmod a+r $(MAN)/man1/worklog.1

install.zipman: install
	gzip $(MAN)/man1/worklog.1

worklog:	worklog.c
	gcc $(CFLAGS) $(USE_ENV_DIR) worklog.c $(LIBS) -o worklog

## worklog 1.7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
-CFLAGS=-Wall -O2 -I/usr/include/ncurses
-LIBS=-lncurses
+# -I/usr/include/ncurses
+# CFLAGS=-Wall -g
+CFLAGS=-O2
+LIBS=-lncurses -lm
 BIN=/usr/local/bin
 MAN=/usr/local/man

## worklog 1.8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
+VERSION = 1.8
+
 # -I/usr/include/ncurses
 # CFLAGS=-Wall -g
-CFLAGS=-O2
+CFLAGS=-O2 -DVERSIONS=\"${VERSION}\"
 LIBS=-lncurses -lm
 BIN=/usr/local/bin
 MAN=/usr/local/man
@@ -9,6 +11,7 @@
 # default working directory where default log and project files are located
 # and they can be #defined as relative paths in worklog.c
 # DEFAULT_DIR_ENVVAR=HOME
+
 DEFAULT_DIR_ENVVAR=WORKLOGDIR
 USE_ENV_DIR=-DDEFAULT_DIR_ENVVAR=\"$(DEFAULT_DIR_ENVVAR)\"
 
@@ -24,5 +27,13 @@
 install.zipman: install
 	gzip $(MAN)/man1/worklog.1
 
-worklog:	worklog.c
+worklog:	worklog.c Makefile
 	gcc $(CFLAGS) $(USE_ENV_DIR) worklog.c $(LIBS) -o worklog
+
+tar:
+	- rm -rf worklog-${VERSION}
+	mkdir worklog-${VERSION}
+	cp Makefile README TODO worklog.c worklog.1 worklog.lsm projects worklog-${VERSION}
+	cp worklog.lsm distr/worklog-${VERSION}.lsm
+	tar -clzvf distr/worklog-${VERSION}.tar.gz worklog-${VERSION}
+	- rm -rf worklog-${VERSION}

=== debian/changelog ===
worklog (1.8-6) unstable; urgency=low

  * QA upload.
  * Bump compat level to 8, and Build-Depends accordingly.
  * Bump Standards-Version to 3.9.2.
  * Add missing separator between fields in debian/control.
  * Rework the long description to not use the first person.
  * Switch source format to 3.0 (quilt).

 -- Regis Boudin <regis@debian.org>  Sat, 18 Feb 2012 20:08:26 +0100

worklog (1.8-5) unstable; urgency=low

  * Orphaning the package. Maintainer field set to QA Group. 
  * Use Homepage field to point to upstream homepage. Closes: #615395
  * Do not ignore errors in the clean target (debian/rules).
  * Depend on ${misc:Depends}.

 -- Emanuele Rocca <ema@debian.org>  Fri, 27 May 2011 18:14:57 +0000

worklog (1.8-4) unstable; urgency=low

  * Prints an error message if "projects" is a directory. 
    Thanks to Danny Verstraeten <divvy@pandora.be> for the patch.
    Closes: #243201
  * Added projects example file.

 -- Emanuele Rocca <ema@debian.org>  Tue, 13 Apr 2004 14:32:55 +0200

worklog (1.8-3) unstable; urgency=low

  * Updated maintainer field. Frankie, thanks for sponsoring!
  * Policy updated.
  * Debhelper compatibility level switched to 4.
  * Project homepage added in long description.
  * Minor cosmetic changes to debian/rules.

 -- Emanuele Rocca <ema@debian.org>  Mon, 17 Nov 2003 09:51:43 +0100

worklog (1.8-2) unstable; urgency=low

  * Fixed project-switching problems. Closes: #193164

 -- Emanuele Rocca <emarocca@libero.it>  Tue, 13 May 2003 14:38:37 +0200

worklog (1.8-1) unstable; urgency=low

  * New upstream release, Closes: #163945, #163948, #65047, #66291
  * Updated Standards-Version to 3.5.9
  * Adopted package, Closes: #182432
  * Sponsored by Francesco P. Lovergine <frankie@debian.org>

 -- Emanuele Rocca <emarocca@libero.it>  Fri,  7 Mar 2003 00:52:34 +0100

worklog (1.7-4) unstable; urgency=low

  * Updated Standards-Version to 3.5.2
  * Fixed some lintian errors

 -- Stijn de Bekker <stijn@debian.org>  Mon,  5 Mar 2001 22:15:52 +0100

worklog (1.7-3) unstable; urgency=low

  * Updated maintainer-field (Remco, thanks for sponsoring!)

 -- Stijn de Bekker <stijn@debian.org>  Fri, 23 Feb 2001 19:10:26 +0100

worklog (1.7-2) unstable; urgency=low

  * Updated Standards-Version to 3.1.1
  * Fixes couple of bugs in the debian package

 -- Stijn de Bekker <stijn@debekker.org>  Wed, 20 Dec 2000 20:05:21 +0100

worklog (1.7-1.1) unstable; urgency=low

  * Package version 1.7-1 is being sponsored by Remco van de Meent. Stijn de
    Bekker is still in the new-maintainer queue.

 -- Remco van de Meent <remco@debian.org>  Wed,  8 Sep 1999 12:15:39 +0200

worklog (1.7-1) unstable; urgency=low

  * New maintainer.

 -- Stijn de Bekker <stijn@debekker.org>  Wed,  1 Sep 1999 08:54:17 +0200

worklog (1.4-3) unstable; urgency=low

  * New maintainer

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Thu, 11 Dec 1997 18:44:48 +0000

worklog (1.4-2) unstable; urgency=low

  * Rebuild under hamm.

 -- Christoph Lameter <clameter@debian.org>  Fri,  5 Sep 1997 01:24:40 -0700

worklog (1.4-1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@debian.org>  Tue, 24 Jun 1997 15:09:08 -0700

=== debian/control ===
Source: worklog
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8.0.0), libncurses-dev
Standards-Version: 3.9.2
Homepage: http://www.truxton.com/~trux/software/

Package: worklog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Keep Track of Time worked on Projects
 Worklog is a program that helps you keep track of your time. The author wrote
 this program because he had several projects that required to keep a
 timesheet, sometimes spending 5 minutes here and there doing miscellaneous
 administrative tasks. Rather than invoke an editor on a timesheet file for
 every little segment of time spent doing these tasks, this tool allows one to
 leave a clock running and indicate with one or two keystrokes the onset or
 change of any given task.  Worklog is a simple ncurses based program to do
 just that.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/worklog


binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	#dh_installdocs -n README TODO
	dh_installdocs
	dh_installexamples projects
	dh_installman worklog.1
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## worklog 1.9

=== Makefile ===
VERSION = 1.9
CFLAGS=-DVERSIONS=\"${VERSION}\" -D_FORTIFY_SOURCE=2 -g -Wall -Wextra -Wpointer-arith -Wuninitialized -Wshadow -Winit-self -Wmissing-declarations -Wformat -Wformat-security -Werror=format-security
LIBS=-lncurses -lm -z now
BIN=$(DESTDIR)/usr/bin
MAN=$(DESTDIR)/usr/share/man/man1

# uncomment this to allow use of an environment variable to specify the
# default working directory where default log and project files are located
# and they can be #defined as relative paths in worklog.c
DEFAULT_DIR_ENVVAR=HOME
#DEFAULT_DIR_ENVVAR=WORKLOGDIR
USE_ENV_DIR=-DDEFAULT_DIR_ENVVAR=\"$(DEFAULT_DIR_ENVVAR)\"


all:	worklog Makefile

install:	all
	cp worklog $(BIN)/worklog
	chmod a+rx $(BIN)/worklog
	#cp worklog.1 $(MAN)/man1/worklog.1
	#chmod a+r $(MAN)/man1/worklog.1

install.zipman: install
	#gzip $(MAN)/man1/worklog.1

worklog:	worklog.c Makefile
	gcc $(CFLAGS) $(USE_ENV_DIR) worklog.c $(LIBS) -o worklog

clean:
	rm -f worklog

tar:
	- rm -rf worklog-${VERSION}
	mkdir worklog-${VERSION}
	cp Makefile README TODO worklog.c worklog.1 worklog.lsm projects worklog-${VERSION}
	cp worklog.lsm distr/worklog-${VERSION}.lsm
	tar -clzvf distr/worklog-${VERSION}.tar.gz worklog-${VERSION}
	- rm -rf worklog-${VERSION}

=== debian/control ===
Source: worklog
Section: misc
Priority: optional
Maintainer: Adam Bilbrough <atsb@tutanota.de>
Build-Depends: debhelper (>=10), libncurses-dev
Standards-Version: 4.1.3
Homepage: https://gitlab.com/atsb/worklog

Package: worklog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Keep Track of Time worked on Projects
 Worklog is a program that helps you keep track of your time.
 .
 The author wrote this program because he had several projects
 that required to keep a timesheet, sometimes spending
 5 minutes here and there doing miscellaneous administrative tasks.
 .
 Rather than invoke an editor on a timesheet file for
 every little segment of time spent doing these tasks, this tool allows one to
 leave a clock running and indicate with one or two keystrokes the onset or
 change of any given task.
 .
 Worklog is a simple ncurses based program to do just that.

=== debian/watch ===
version=3
https://gitlab.com/atsb/worklog/tags/worklog-(.*)

## worklog 2.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.9
+VERSION = 2.0
 CFLAGS=-DVERSIONS=\"${VERSION}\" -D_FORTIFY_SOURCE=2 -g -Wall -Wextra -Wpointer-arith -Wuninitialized -Wshadow -Winit-self -Wmissing-declarations -Wformat -Wformat-security -Werror=format-security
 LIBS=-lncurses -lm -z now
 BIN=$(DESTDIR)/usr/bin

=== debian/changelog ===
worklog (2.0-1) unstable; urgency=medium

  * Changed abs in source to fabs.
  * Removed redundant code that was unused.
  * Worklog survives reasonable resizing. (Closes: #639281)

 -- Adam Bilbrough <ats@atlas.cz>  Sat, 9 Feb 2019 09:07:10 +0100

worklog (1.9-1) unstable; urgency=medium

  * New maintainer. (Closes: #628157)
  * New upstream release.
  * Merged patch for time update. (Closes: #548349)
  * Merged patch for negative times. (Closes: #571718)
  * Merged patch for using too much CPU. (Closes: #630570)
  * Merged patch for rounding text. (Closes: #548347)
  * Merged all debian quilt patches into codebase.

 -- Adam Bilbrough <atsb@tutanota.de>  Fri, 02 Feb 2018 20:07:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: worklog
 Section: misc
 Priority: optional
-Maintainer: Adam Bilbrough <atsb@tutanota.de>
-Build-Depends: debhelper (>=10), libncurses-dev
-Standards-Version: 4.1.3
-Homepage: https://gitlab.com/atsb/worklog
+Maintainer: Adam Bilbrough <ats@atlas.cz>
+Build-Depends: debhelper-compat (= 12), libncurses-dev
+Standards-Version: 4.3.0
+Homepage: https://github.com/atsb/worklog
 
 Package: worklog
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -40,11 +40,10 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	#dh_installdocs -n README TODO
 	dh_installdocs
 	dh_installexamples projects
 	dh_installman worklog.1
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_strip
 	dh_compress
 	dh_fixperms

## worklog 2.1

=== Makefile ===
VERSION = 2.1
CFLAGS=-DVERSIONS=\"${VERSION}\" -D_FORTIFY_SOURCE=2 -O -Wall -Wformat -Wformat-security -Werror=format-security
LIBS=-lncurses -lm -z now
BIN=$(DESTDIR)/usr/bin
MAN=$(DESTDIR)/usr/share/man/man1

# uncomment this to allow use of an environment variable to specify the
# default working directory where default log and project files are located
# and they can be #defined as relative paths in worklog.c
DEFAULT_DIR_ENVVAR=HOME
#DEFAULT_DIR_ENVVAR=WORKLOGDIR
USE_ENV_DIR=-DDEFAULT_DIR_ENVVAR=\"$(DEFAULT_DIR_ENVVAR)\"


all:	worklog

install:	all
	install -D -m 0755 worklog $(BIN)/worklog
	install -D -m 0644 worklog.1.gz $(MAN)/man1/worklog.1.gz

worklog:	worklog.c Makefile
	gcc $(CFLAGS) $(USE_ENV_DIR) worklog.c $(LIBS) -o worklog

clean:
	rm -f worklog

dist:
	- rm -rf worklog-${VERSION}
	mkdir worklog-${VERSION}
	cp Makefile README TODO worklog.c worklog.1.gz worklog.lsm projects worklog-${VERSION}
	cp worklog.lsm distr/worklog-${VERSION}.lsm
	tar -clzvf distr/worklog-${VERSION}.tar.gz worklog-${VERSION}
	- rm -rf worklog-${VERSION}

=== debian/changelog ===
worklog (2.1-1) unstable; urgency=medium

  * Worklog makefile is rewritten (Closes: #872691)
  * Worklog fails to crash on latest version (Closes: #917997)

 -- Adam Bilbrough <ats@atlas.cz>  Sun, 10 Nov 2019 11:23:50 +0100
 

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Adam Bilbrough <ats@atlas.cz>
 Build-Depends: debhelper-compat (= 12), libncurses-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/atsb/worklog
 
 Package: worklog

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	dh_testroot
 	dh_installdocs
 	dh_installexamples projects
-	dh_installman worklog.1
+	dh_installman worklog.1.gz
 	dh_installchangelogs
 	dh_strip
 	dh_compress

=== debian/watch ===
version=3
https://github.com/atsb/worklog/tags/worklog-(.*)
